Description

I am trying to intersect points from my postgis table planet_osm_point (ESPG:3857) and boundaries from a shapefile (ESPG:4326), but

my resultant shapefile is empty.

If I save the planet_osm_point layer as a shapefile with ESPG:4326, the intersect operation works as expected. Similiar behavior with

"Select by location".

History

#1 - 2014-05-25 10:55 PM - Paolo Cavallini

This is a feature, not a bug: analyses are run on original layers, not on reprojected ones

#2 - 2014-05-26 02:10 AM - Arun Ganesh

For a newbie like me, it would seem natural that the analysis should work because the projections have been set correctly and everything 'looks' in order.

At first I thought I was running the tools incorrectly and had to search for several tutorials before I finally figured out it must be the different projections.

I'm not sure I would call this a feature, this could potentially save a bit of time and effort if such analysis worked.

#3 - 2014-05-26 02:20 AM - Paolo Cavallini

- Category set to 94

- Tracker changed from Bug report to Feature request

- Subject changed from Geoprocessing does not work on layers with different CRS to Let geoprocessing reproject layers before running an analysis

#4 - 2014-05-26 11:00 AM - Antonio Locandro

probably a memory layer that is reprojected can be used, in this case the issue here is one projection needs to be selected, it could be by default the one of

the first layer used? I don't know if this is as easy due to maybe needed transformations?

#5 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#6 - 2016-08-23 07:02 AM - Alexander Bruy

- Resolution set to wontfix

- Status changed from Open to Rejected

- Operating System deleted (ubuntu)

- OS version deleted (14.04)
You can easily achieve this by creating pre-execution script or model
